/* 
=====================
IMPORT FONT
=====================
*/
@import url('https://fonts.googleapis.com/css2?family=Barlow:wght@600&family=Fraunces:opsz,wght@9..144,700;9..144,900&display=swap');

/* font-family: 'Barlow', sans-serif;
font-family: 'Fraunces', serif; */

/* 
=====================
GLOBAL STYLE
=====================
*/
*,
::after,
::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    transition: all 0.3s linear;
}

body {
    font-family: 'Barlow', sans-serif;
    font-size: 1.125rem;
    text-align: center;
    color: hsl(210, 4%, 67%);
}

h1,h2,h3,h4 {
    font-family: 'Fraunces', serif;
    color: hsl(212, 27%, 19%)
}

h1 {
    font-size: 3rem;
    margin: 1em 0 2em 0;
    color: #fff;
    text-transform: uppercase;
}

h2 {
    font-size: 2.59rem;
    margin-bottom: 0.5em;
}

h3 {
    font-size: 1.5rem;
    letter-spacing: 2.5px;
    color: hsl(210, 4%, 67%);
    text-transform: uppercase;
}

h4 {
    font-size: 1.2rem;
    margin-bottom: 0.8em;
}

p {
    font-size: 1.3rem;
    line-height: 1.5;
    margin-bottom: 1em;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}




/* 
=====================
HEADER / NAV BAR
=====================
*/
#header {
    background-image: url('../images/mobile/image-header.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    min-height: 100vh; 
    padding: 20px 15px;
}

.nav-bar {
    padding: 1.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-toggle {
    border: none;
    background: transparent;
    cursor: pointer;
    transition: all 0.3s linear;
}

.nav-toggle:hover {
    transform: scale(1.4);
}

.nav-links {
    position: absolute;
    background-color: hsl(0, 0%, 100%);
    top: -60%;
    right: 8%;
    left: 8%;
    padding: 1rem;
    transition: all 600ms linear;
}

.nav-links li {
    display: block;
    margin: 2.2em auto;
}

.nav-links li a {
    color: hsl(210, 4%, 67%);
    font-size: 1.2rem;
}

.nav-links li a:hover {
    text-transform: uppercase;
    color:hsl(212, 27%, 19%);
    border-bottom: 3px solid hsl(212, 27%, 19%);
    padding-bottom: 0.1em;
}

.nav-links li.button a {
    background-color: hsl(51, 100%, 49%);
    border-radius: 14px;
    padding: 0.5em 1.6em;
}

.nav-links li.button a:hover {
    padding-bottom: 0.5em;
    border: none;
}

.active {
    top: 20%;
}



/* 
=====================
MAIN
=====================
*/
main {
    width: 100%;
}

.small-accent,
.white {
    height: 65vh;
    width: 100%;
}

.big-accent {
    height: 100vh;
    width: 100%;
    display: flex;
}

.big-accent > div {
    display: flex;
    flex-direction: column;
    align-self: flex-end;
    /* justify-content: center; */
    margin-top: 2rem;
    width: 100%;
}


.yellow-egg {
    background: url("../images/mobile/image-transform.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
}

.white {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    padding: 1.8rem 2em;
}

.white a{
    color:hsl(212, 27%, 19%);
    text-transform: uppercase;
    position: relative;
}

.white a::after {
    content: " ";
    height: 0.7rem;
    width: 100%;
    top: 50%;
    position: absolute;
    left: 0;
    z-index: -1;
    transition: transform 175ms cubic-bezier(0.91, 0, 0.55, 1.64);
    transform-origin: bottom top;
}

.first-line .white a::after {
    background: hsl(51, 100%, 49%);
}

.second-line .white a::after {
    background: hsl(7, 99%, 70%);
}

.white a:hover::after {
    transform: scale(1.3, 3);
    padding-top: 0.5rem;
}


.pink-cup {
    background: url("../images/mobile/image-stand-out.jpg");
    background-size: cover;
    background-position: center;
}

.berry {
    background: url("../images/mobile/image-graphic-design.jpg");
    background-size: cover;
    background-position: center;
    padding: 1.5rem 1.3rem;
    color: hsl(167, 40%, 24%);
}

.tangerine {
    background: url("../images/mobile/image-photography.jpg");
    background-size: cover;
    background-position: center;
    padding: 1.5rem 1.3rem;
    color: hsl(198, 62%, 26%);
    
}

/* TESTIMONIAL */
.review {
    padding: 4rem 2rem;
    margin: 2rem 0;
}

.testimonials {
    display: flex;
    flex-direction: column;
}

.review-details > img{
    border-radius: 50%;
    margin: 5rem 0 2.5rem 0;
    width: 90px;
    height: 90px;
}

/* IMAGES */
.images {
    display: flex;
    flex-wrap: wrap;
}

.images > img {
    max-width: 50%;
}

/* 
=====================
FOOTER
=====================
*/
footer {
    padding: 4rem 2rem;
    background: hsl(168, 34%, 41%);
}

.footer-container {
    max-width:400px;
    margin: 0 auto;
}

.footer-logo {
    width: 50%;
    margin-bottom: 2rem;
    color: hsl(167, 40%, 24%);
}

.footer-link {
    display: flex;
    justify-content: space-between;
    margin: 2rem 0;
}

.footer-link li a {
    color: hsl(167, 40%, 24%);
}

.social-links {
    display: flex;
    justify-content: space-between;
    padding: 2rem;
}


/* 
=====================
MEDIA QUERY
=====================
*/
@media all and (min-width: 530px) {
    h1 {
        margin: 2em 0 3em 0;
    }

}

@media all and (min-width: 650px) {
    .line {
        display: flex;
    } 

    .first-line {
        flex-direction: row-reverse;
    }

    .yellow-egg,
    .white,
    .pink-cup {
        width: 50%;
    }

    .yellow-egg {
        background: url("../images/desktop/image-transform.jpg");
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
    }

    
}

@media all and (min-width: 768px) {
    h1 {
        font-size: 3.5rem;
        margin: 0.5em 0 2em 0;
    }

    .logo {
        height: 2rem;
    }
    #header {
        background-image: url('../images/desktop/image-header.jpg');
        padding: 20px 15px;
    }

    .nav-toggle {
        display: none;
    }

    .nav-links {
        position: static;
        margin: 0;
        background-color: transparent;
    }

    .nav-links li {
        display: inline-block;
        margin: 0 2em 0 0;
        
    }

    .nav-links li a {
        color: hsl(0, 0%, 100%);
    }

    .nav-links li a:hover {
        border-bottom: 3px solid hsl(0, 0%, 100%);
        color: hsl(0, 0%, 100%);
    }
    
    .nav-links li.button a {
        background-color: hsl(0, 0%, 100%);
        color: hsl(212, 27%, 19%)
    }

    .nav-links li.button a:hover {
        background-color: rgb(61,200,255);
        color: hsl(0, 0%, 100%);
    }

    .big-accent {
        height: 65vh;
    }

    .berry {
        background: url("../images/desktop/image-graphic-design.jpg");
        background-size: cover;
        background-position: center;
        padding: 1.5rem 1.3rem;
    }
    
    .tangerine {
        background: url("../images/desktop/image-photography.jpg");
        background-size: cover;
        background-position: center;
        padding: 1.5rem 1.3rem;
    }
   
    
    .review {
        padding: 2rem 2rem;
    }  

    .testimonials {
        flex-direction: row;
        align-items: center;
        justify-content: space-around;
    }

    .testimonials > div {
        width: 32%;
    }

    .images {
        flex-wrap: nowrap;
    }
    
    .images > img {
        width: 25%;
    }

    }